Subject: bug#15553: 24.3.50; epg.el and GnuPG 2.x cause unavoidable pinentry prompts for symmetrically encrypted files

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Oct 2013 23:05:31 -0400

>> But it calls accept-process-output, so it can still get stuck.
> Yes, but it's not a hard lockup.  I can get out from the loop with C-g.

But if you have no terminal open (yet) on that emacs-server, you can't
hit C-g.

> And actually Emacs 24 has the code to allow pinentry to fallback into
> the curses mode in that case (though the interaction is not very well).

And same as above: there might not be any tty for curses to talk to.

        Stefan